package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 初步诊断表
 * @TableName vp_diagnosis_primary
 */
@TableName(value ="vp_diagnosis_primary")
@Data
public class DiagnosisPrimary implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 诊断流程ID
     */
    private String processId;

    /**
     * 初步诊断疾病
     */
    private String primaryDiagnosis;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}